Accessrequests

List all active access requests

get
Query parameters
allbooleanOptional

Return whole body of full valid access request if true.

Default: false
Responses
chevron-right
200

List of access requests.

application/json
idstring · uriRequired

A URI uniquely identifying the credential.

typestring[]Required

Types of the credential indicating the nature and purpose.

expirationDatestring · date-timeRequired

Date and time when the credential expires.

issuanceDatestring · date-timeRequired

Date and time when the credential was issued.

issuerstring · uriRequired

A URI identifying the issuer of the credential.

@contextstring[]Required

List of contexts defining the semantic meaning of the properties.

get
/accessrequests
200

List of access requests.

Retrieve specific access request by UUID

get
Path parameters
IDstringRequired

The ID of the access request

Responses
chevron-right
200

Access request details.

application/json
idstring · uriRequired

A URI uniquely identifying the credential.

typestring[]Required

Types of the credential indicating the nature and purpose.

expirationDatestring · date-timeRequired

Date and time when the credential expires.

issuanceDatestring · date-timeRequired

Date and time when the credential was issued.

issuerstring · uriRequired

A URI identifying the issuer of the credential.

@contextstring[]Required

List of contexts defining the semantic meaning of the properties.

get
/accessrequests/{ID}

Reject an access request

put
Path parameters
IDstringRequired

The ID of the access request

Body
statusstringRequired

Revoked

Responses
put
/accessrequests/{ID}

No content